
Redmine - Defect #30844

Selecting "Spent Time" in upper ribbon menu produces Internal error

2019-02-20 01:29 - Anne Hammond

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.1

Description

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 
Started GET "/spent_time" for 172.16.1.205 at 2019-02-19 16:32:31 -0700

Processing by SpentTimeController#index as HTML

   (0.4ms)  SET NAMES utf8,  @@SESSION.sql_mode = CONCAT(CONCAT(@@sql_mode, ',STRICT_ALL_TABLES'),

 ',NO_AUTO_VALUE_ON_ZERO'),  @@SESSION.sql_auto_is_null = 0, @@SESSION.wait_timeout = 2147483

  Token Update All (1.8ms)  UPDATE `tokens` SET `tokens`.`updated_on` = '2019-02-19 16:32:31' WHER

E `tokens`.`user_id` = 3 AND `tokens`.`value` = 'd8b05799fdc259c49335571f417b2b076ab8c93d' AND `to

kens`.`action` = 'session'

   (0.3ms)  SELECT MAX(`settings`.`updated_on`) FROM `settings`

  User Load (0.3ms)  SELECT  `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUse

r') AND `users`.`status` = 1 AND `users`.`id` = 3 LIMIT 1

  Current user: hammond (id=3)

   (0.2ms)  SELECT MAX(`contacts_settings`.`updated_on`) FROM `contacts_settings`

Completed 500 Internal Server Error in 14ms (ActiveRecord: 3.9ms)

ArgumentError (You are passing an instance of ActiveRecord::Base to `exists?`. Please pass the id 

of the object by calling `.id`.):

plugins/redmine_spent_time/app/helpers/spent_time_helper.rb:71:in `make_time_entry_report'

plugins/redmine_spent_time/app/controllers/spent_time_controller.rb:30:in `index'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

database manager version (Ver 15.1 Distrib 5.5.39-MariaDB for Linux)

Ruby version (2.4.5p335)

Rails version (eg. Rails 5.2.2)

Redmine version LTS 4.0.1

History

#1 - 2019-02-20 05:17 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

The log suggests that the plugin named "redmine_spent_time" caused the error. Third-party plugins are not a part of the Redmine core. Please report

the error to the author of the plugin.
